Classes | Public Member Functions
CDataArray2D< bool > Class Template Reference

## Detailed Description

### template<>
class XSI::CDataArray2D< bool >

This class is a specialization of a CDataArray2D class of type `bool`.

Since:
  7.0

See also:
  CDataArray, CIndexSet, ICENodeDef, Accessor, CDataArray2DBool typedef

`#include <xsi_dataarray2D.h>`

Inherits CBaseDataArray2D.

List of all members.

## Classes
class | Accessor
| A class for accessing the sub-array data of CDataArray2D< bool > objects. More...
## Public Member Functions
SICPPSDK_INLINE | CDataArray2D (ICENodeContext &in_ctxt, ULONG in_nInputPortID, ULONG in_nInstanceIndex=0)
SICPPSDK_INLINE | CDataArray2D (ICENodeContext &in_ctxt)
SICPPSDK_INLINE | CDataArray2D ()
SICPPSDK_INLINE | ~CDataArray2D ()
SICPPSDK_INLINE CStatus | CopyFrom (ULONG in_nInputPortID, ULONG in_nInstanceIndex=0)
SICPPSDK_INLINE Accessor | operator[] (ULONG in_nArrayIndex) const
SICPPSDK_INLINE Accessor | Resize (ULONG in_nArrayIndex, ULONG in_nSize)
SICPPSDK_INLINE ULONG | GetCount () const
SICPPSDK_INLINE bool | IsConstant () const

## Constructor & Destructor Documentation

SICPPSDK_INLINE CDataArray2D | ( | ICENodeContext & | in_ctxt,
|  | ULONG | in_nInputPortID,
|  | ULONG | in_nInstanceIndex = `0`
| ) |  |

Constructor for data types bound to input ports.

Parameters:

  in_ctxt | ICENode evaluation context.
  in_nInputPortID | Input port identifier.
  in_nInstanceIndex | The group instance of the port.

SICPPSDK_INLINE CDataArray2D | ( | ICENodeContext & | in_ctxt | ) |

Constructor for data types bound to output ports.

Parameters:

  in_ctxt | ICENode evaluation context.

SICPPSDK_INLINE CDataArray2D | ( |  | ) |

Default constructor.

SICPPSDK_INLINE ~CDataArray2D | ( |  | ) |

Destructor.

## Member Function Documentation

SICPPSDK_INLINE CStatus CopyFrom | ( | ULONG | in_nInputPortID,
|  | ULONG | in_nInstanceIndex = `0`
| ) |  |

Copy the data from a given input port to this object buffer without allocating memory. This is typically used for passing data by reference from input to output ports, similar to what the built-in 'pass through' node is doing.

Parameters:

  in_nInputPortID | Input port identifier.
  in_nInstanceIndex | The group instance of the port.

Returns:
  CStatus::OK Success
  CStatus::InvalidArgument Fails if in_nInputPortID is not an input port identifier or in_nInstanceIndex is invalid.
  CStatus::AccessDenied This array is not an output type or wasn't created properly.

Example:

            // Copy data from the ID_IN_2DPoints port to the current output port
            XSI::CDataArray2DVector3f outData( in_ctxt );
            outData.CopyFrom( ID_IN_2DPoints );

SICPPSDK_INLINE CDataArray2D< bool >::Accessor operator[] | ( | ULONG | in_nArrayIndex | ) | const

Returns an accessor at a given index. This operator is called when reading the data so the return value is read-only.

Parameters:

  in_nArrayIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.

Returns:
  Accessor object.

SICPPSDK_INLINE CDataArray2D< bool >::Accessor Resize | ( | ULONG | in_nArrayIndex,
|  | ULONG | in_nSize
| ) |  |

Changes the size of the sub-array at a given position and returns an accessor pointing to the resized sub-array.

Parameters:

  in_nArrayIndex | Index in the array. The index must be smaller than the number of elements in the array, otherwise the results are unpredicted.
  in_nSize | The new size.

Returns:
  Accessor object.

SICPPSDK_INLINE ULONG GetCount | ( | void |  | ) | const

Returns the number of elements in the array.

Returns:
  Number of elements.

SICPPSDK_INLINE bool IsConstant | ( |  | ) | const

Returns true if the array is constant or false otherwise. A constant array has only one value.

Returns:
  True if constant, false otherwise.

The documentation for this class was generated from the following file:

- xsi_dataarray2D.h